- [HTTP request](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/patch#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/patch#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/patch#body.request_body.SCHEMA_REPRESENTATION)
    - [JSON representation](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/patch#body.request_body.SCHEMA_REPRESENTATION.order.SCHEMA_REPRESENTATION)
    - [JSON representation](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/patch#body.request_body.SCHEMA_REPRESENTATION.order.SCHEMA_REPRESENTATION_1)
    - [JSON representation](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/patch#body.request_body.SCHEMA_REPRESENTATION.order.SCHEMA_REPRESENTATION_2)
- [Response body](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/patch#body.aspect)
- [Examples](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/patch#examples)
- [Try it!](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/patch#try-it)

Updates an order.

### HTTP request

`PATCH https://dv360seller.googleapis.com/v1beta1/{order.name=exchanges/*/orders/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `order.name` | `string` Relative resource name for order. Generated by server. Example: "exchanges/1234/orders/5678". Output only. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "order": { "name": string, "displayName": string, "partnerId": [ string ], "publisherEmail": string, "publisherName": string, "budget": { "budgetType": enum (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders#BudgetType`), // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "impressions": string, "money": { object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/Money`) } // End of mutually exclusive fields. }, "status": enum (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders#OrderStatus`), "wseatConfig": { "exchangeWseatStatus": enum (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders#WSeatStatus`), "exchangeWseatIds": [ string ], "updateTime": string }, "updateTime": string, "buyerInfo": { "partner": { object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders#PartnerInfo`) }, "advertisers": [ { object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders#AdvertiserInfo`) } ] } }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `order.displayName` | `string` Name of order displayed to the buyer. Max 250 characters. Optional. |
| `order.partnerId[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Partner ID in Google Display \& Video 360, previously known as Doubleclick Bid Manager(DBM). Only allows a single partner ID. Required. |
| `order.publisherEmail` | `string` Email for publisher. Must be valid email format. Max 250 characters. Optional. |
| `order.publisherName` | `string` Publisher name. Max 250 characters. Required. |
| `order.budget` | ``object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders#Budget`)`` Output only. The budget set by the buyer. Only applicable to Instant Deal scenarios. |
| `order.status` | ``enum (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders#OrderStatus`)`` Order status. The status can change after DV3 users accept, cancel or archive an order. Also support update to 'CANCELLED' after creation in API to signal this order has been cancelled on Exchange. |
| `order.wseatConfig` | ``object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders#WSeatConfig`)`` Optional. WSeat Configuration Specifies the WSeat configuration on the exchange side. Exchanges that utilize multi-seat deals are expected to keep this field populated and up to date. |
| `order.updateTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. The timestamp when the order or its underlying products were updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `order.buyerInfo` | ``object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders#BuyerInfo`)`` Output only. The buyer information, including partner and advertiser details. Only applicable to Instant Deal scenarios. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The mask to control which fields to update. Required. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders#Order`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).